| AnyConnect Secure Mobility Client 5.1.10.233

Classes | Public Types | Public Member Functions | Static Public Attributes | List of all members
PromptEntryBase Class Reference

## Classes
class | GroupAttributes
class | SingleAttributes

## Public Types
typedef std::map< tstring, GroupAttributes > | GroupAttributesMap

## Public Member Functions
bool | setValue (const tstring &value)
bool | clearValue ()
const tstring & | getPromptName () const
const tstring & | getPromptLabel () const
bool | isEnabled () const
void | setEnabled (bool bIsEnabled)
bool | isVisible () const
void | setVisible (bool bIsVisible)
void | setEntryGroup (bool bIsEntryGroup)
| PromptEntryBase (tstring PromptName, tstring PromptLabel, PromptType promptType=Prompt_Input, const tstring &DefaultValue=EmptyString, ApiStringMap LabelValues=EmptyLabelValues)
void | setPromptLabel (tstring label)
const tstring & | getValue () const
const tstring & | getTrueValue () const
const std::list< tstring > & | getValueOptions () const
bool | isEntryGroup () const
bool | isReadOnly () const
PromptType | getPromptType () const
size_t | GetGroupAttributesCount ()
PromptEntryBase & | operator= (const PromptEntryBase &existingEntry)
| PromptEntryBase (const PromptEntryBase &existingEntry)
const GroupAttributes & | getGroupAttributes (const tstring &group) const
void | setGroupAttributesMap (const GroupAttributesMap &groupAttributesMap)
const SingleAttributes & | getSingleAttributes () const
void | setSingleAttributes (const SingleAttributes &singleAttributes)

## Static Public Attributes
static const tstring | EmptyString
static const std::list< tstring > | EmptyList
static const ApiStringMap | EmptyLabelValues

## Constructor & Destructor Documentation

## ◆ PromptEntryBase()

PromptEntryBase::PromptEntryBase | ( | const PromptEntryBase & | existingEntry | ) |
| inline explicit

96 {
97 deepCopy(existingEntry);
98 }

## Member Function Documentation

## ◆ operator=()

PromptEntryBase & PromptEntryBase::operator= | ( | const PromptEntryBase & | existingEntry | ) |
| inline

89 {
90 return deepCopy(existingEntry);
91 }